Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class ClosedSormContract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.ClosedSormContract

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ClosedSormContract
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClosedSormContract()` |
  `ClosedSormContract​(int id)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDescription()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getModuleTitle()` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setModuleTitle​(java.lang.String moduleTitle)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ClosedSormContract

    public ClosedSormContract()

  - ### ClosedSormContract

    public ClosedSormContract​(int id)

- ## Method Details

  - ### getModuleTitle

    public java.lang.String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle​(java.lang.String moduleTitle)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)